Package org.eclipse.mat.collect

# Class HashMapLongObject<E>

java.lang.Object
org.eclipse.mat.collect.HashMapLongObject<E>

All Implemented Interfaces:
  `Serializable`

public final class HashMapLongObject<E> extends Object implements Serializable
A map from long to Object. More efficient than a general map

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HashMapLongObject.Entry<E>`
An entry from the map

## Constructor Summary

Constructors
Constructor
Description
`HashMapLongObject()`
Create a map of default size
`HashMapLongObject(int initialCapacity)`
Create a map of given capacity

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Remove all the existing mappings, leaving the capacity unchanged.
`boolean`
`containsKey(long key)`
find if key is present in map
`Iterator<HashMapLongObject.Entry<E>>`
`entries()`
Iterate over all the map entries
`E`
`get(long key)`
Retrieve the value corresponding to the key
`long[]`
`getAllKeys()`
Get all the used keys
`Object[]`
`getAllValues()`
Get all the values corresponding to the used keys.
`<T> T[]`
`getAllValues(T[] a)`
Get all the values corresponding to the used keys.
`boolean`
`isEmpty()`
Is the map empty
`IteratorLong`
`keys()`
Get a way of iterating over the keys
`E`
`put(long key, E value)`
Add a mapping
`E`
`remove(long key)`
Remove an mapping from the map
`int`
`size()`
The number of mappings
`Iterator<E>`
`values()`
Get a way of iterating over the values.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HashMapLongObject

public HashMapLongObject()
Create a map of default size

### HashMapLongObject

public HashMapLongObject(int initialCapacity)
Create a map of given capacity

Parameters:
  `initialCapacity` - - can grow beyond this

## Method Details

### put

public E put(long key, E value)
Add a mapping

Parameters:
  `key` - the key
  `value` - the corresponding value
Returns:
  the old value if an entry with the key already exists

### remove

public E remove(long key)
Remove an mapping from the map

Parameters:
  `key` - the key to remove
Returns:
  the old value if the key was found, otherwise null

### containsKey

public boolean containsKey(long key)
find if key is present in map

Parameters:
  `key` - the key
Returns:
  true if the key was found

### get

public E get(long key)
Retrieve the value corresponding to the key

Parameters:
  `key` - the key
Returns:
  the value, or null if the key is not found

### getAllKeys

public long[] getAllKeys()
Get all the used keys

Returns:
  an array of the used keys

### getAllValues

public Object[] getAllValues()
Get all the values corresponding to the used keys. Duplicate values are possible if they correspond to different keys. Consider using `getAllValues(Object[])` for better type safety.

Returns:
  an array of the used values

### getAllValues

public <T> T[] getAllValues(T[] a)
Get all the values corresponding to the used keys. Duplicate values are possible if they correspond to different keys.

Type Parameters:
  `T` - the type of values held in this map.
Parameters:
  `a` - an array of the right type for the output, which will be used if it is big enough, otherwise another array of this type will be allocated.
Returns:
  an array of the used values

### size

public int size()
The number of mappings

Returns:
  the size of the map

### isEmpty

public boolean isEmpty()
Is the map empty

Returns:
  true if no current mappings

### clear

public void clear()
Remove all the existing mappings, leaving the capacity unchanged.

### keys

public IteratorLong keys()
Get a way of iterating over the keys

Returns:
  an iterator over the keys

### values

public Iterator<E> values()
Get a way of iterating over the values.

Returns:
  an iterator over the values

### entries

public Iterator<HashMapLongObject.Entry<E>> entries()
Iterate over all the map entries

Returns:
  the iterator over the entries